import 'package:riverpod_annotation/riverpod_annotation.dart';

part 'scroll_state_controller.g.dart';

@riverpod
class ScrollStateController extends _$ScrollStateController {
  @override
  bool build() {
    return false;
  }

  toggle(bool set) {
    state = set;
  }
}
